cvp.vo

## Class Patient

- java.lang.Object
- - cvp.vo.Patient

-     public class Patient
      extends java.lang.Object

  Java class for Patient complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="Patient">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="id" type="{http://www.w3.org/2001/XMLSchema}string"/>
               <element name="fiscalCode" type="{http://www.w3.org/2001/XMLSchema}string"/>
               <element name="patientFamilyName" type="{http://www.w3.org/2001/XMLSchema}string"/>
               <element name="patientGivenName" type="{http://www.w3.org/2001/XMLSchema}string"/>
               <element name="patientBirthDate" type="{http://www.w3.org/2001/XMLSchema}date"/>
               <element name="patientGender" type="{http://www.w3.org/2001/XMLSchema}string"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `fiscalCode`
    `protected java.lang.String` | `id`
    `protected javax.xml.datatype.XMLGregorianCalendar` | `patientBirthDate`
    `protected java.lang.String` | `patientFamilyName`
    `protected java.lang.String` | `patientGender`
    `protected java.lang.String` | `patientGivenName`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Patient()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getFiscalCode()` Gets the value of the fiscalCode property.
    `java.lang.String` | `getId()` Gets the value of the id property.
    `javax.xml.datatype.XMLGregorianCalendar` | `getPatientBirthDate()` Gets the value of the patientBirthDate property.
    `java.lang.String` | `getPatientFamilyName()` Gets the value of the patientFamilyName property.
    `java.lang.String` | `getPatientGender()` Gets the value of the patientGender property.
    `java.lang.String` | `getPatientGivenName()` Gets the value of the patientGivenName property.
    `void` | `setFiscalCode(java.lang.String value)` Sets the value of the fiscalCode property.
    `void` | `setId(java.lang.String value)` Sets the value of the id property.
    `void` | `setPatientBirthDate(javax.xml.datatype.XMLGregorianCalendar value)` Sets the value of the patientBirthDate property.
    `void` | `setPatientFamilyName(java.lang.String value)` Sets the value of the patientFamilyName property.
    `void` | `setPatientGender(java.lang.String value)` Sets the value of the patientGender property.
    `void` | `setPatientGivenName(java.lang.String value)` Sets the value of the patientGivenName property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### id

          protected java.lang.String id

    - #### fiscalCode

          protected java.lang.String fiscalCode

    - #### patientFamilyName

          protected java.lang.String patientFamilyName

    - #### patientGivenName

          protected java.lang.String patientGivenName

    - #### patientBirthDate

          protected javax.xml.datatype.XMLGregorianCalendar patientBirthDate

    - #### patientGender

          protected java.lang.String patientGender

  - ### Constructor Detail

    - #### Patient

          public Patient()

  - ### Method Detail

    - #### getId

          public java.lang.String getId()

      Gets the value of the id property.
      Returns:
        possible object is `String`

    - #### setId

          public void setId(java.lang.String value)

      Sets the value of the id property.
      Parameters:
        `value` - allowed object is `String`

    - #### getFiscalCode

          public java.lang.String getFiscalCode()

      Gets the value of the fiscalCode property.
      Returns:
        possible object is `String`

    - #### setFiscalCode

          public void setFiscalCode(java.lang.String value)

      Sets the value of the fiscalCode property.
      Parameters:
        `value` - allowed object is `String`

    - #### getPatientFamilyName

          public java.lang.String getPatientFamilyName()

      Gets the value of the patientFamilyName property.
      Returns:
        possible object is `String`

    - #### setPatientFamilyName

          public void setPatientFamilyName(java.lang.String value)

      Sets the value of the patientFamilyName property.
      Parameters:
        `value` - allowed object is `String`

    - #### getPatientGivenName

          public java.lang.String getPatientGivenName()

      Gets the value of the patientGivenName property.
      Returns:
        possible object is `String`

    - #### setPatientGivenName

          public void setPatientGivenName(java.lang.String value)

      Sets the value of the patientGivenName property.
      Parameters:
        `value` - allowed object is `String`

    - #### getPatientBirthDate

          public javax.xml.datatype.XMLGregorianCalendar getPatientBirthDate()

      Gets the value of the patientBirthDate property.
      Returns:
        possible object is `XMLGregorianCalendar`

    - #### setPatientBirthDate

          public void setPatientBirthDate(javax.xml.datatype.XMLGregorianCalendar value)

      Sets the value of the patientBirthDate property.
      Parameters:
        `value` - allowed object is `XMLGregorianCalendar`

    - #### getPatientGender

          public java.lang.String getPatientGender()

      Gets the value of the patientGender property.
      Returns:
        possible object is `String`

    - #### setPatientGender

          public void setPatientGender(java.lang.String value)

      Sets the value of the patientGender property.
      Parameters:
        `value` - allowed object is `String`